#include "ofApp.h"
void ofApp::setup(){
    //ENVIRONMENT
    ofBackground(0);
    ofSetRectMode(OF_RECTMODE_CENTER);
    //VALUES
    for(int i=0;i<NUM_SQUARES;i++){
        posX[i]=ofRandomWidth();
        posY[i]=ofRandomHeight();
        speedX[i]=ofRandomf();
        speedY[i]=ofRandomf();
        myColor[i]=ofRandom(255);
        touched[i]=false;
        //printf("posX of %i %f",i,posX[i]);
    }
}
void ofApp::update(){
    for(int i=0;i<NUM_SQUARES;i++){
        if(!touched[i]){
            posX[i]+=speedX[i];
            posY[i]+=speedY[i];
        }
        //if posX is lesser than left of screen or greater that right of screen
        if(posX[i]<0||posX[i]>ofGetWidth()){
            //then invert speedX
            speedX[i]*=-1;
        }
        if(posY[i]<0||posY[i]>ofGetHeight()){
            speedY[i]*=-1;
        }
    }
}
void ofApp::draw(){
    for(int i=0;i<NUM_SQUARES;i++){
        ofSetColor(myColor[i], 255, 0, 127);
        ofDrawRectangle(posX[i], posY[i], 70, 70);
    }
}
void ofApp::exit(){}
void ofApp::touchDown(ofTouchEventArgs & touch){
    touched[touch.id]=true;
    posX[touch.id]=touch.x;
    posY[touch.id]=touch.y;
}
void ofApp::touchMoved(ofTouchEventArgs & touch){
    posX[touch.id]=touch.x;
    posY[touch.id]=touch.y;
}
void ofApp::touchUp(ofTouchEventArgs & touch){
    touched[touch.id]=false;
}

//--------------------------------------------------------------
void ofApp::touchDoubleTap(ofTouchEventArgs & touch){

}

//--------------------------------------------------------------
void ofApp::touchCancelled(ofTouchEventArgs & touch){
    
}

//--------------------------------------------------------------
void ofApp::lostFocus(){

}

//--------------------------------------------------------------
void ofApp::gotFocus(){

}

//--------------------------------------------------------------
void ofApp::gotMemoryWarning(){

}

//--------------------------------------------------------------
void ofApp::deviceOrientationChanged(int newOrientation){

}

